stralloc_chomp(3)

NAME
stralloc_chomp - remove trailing CR, LF or CRLF

SYNTAX
#include <libowfat/stralloc.h>

int stralloc_chomp(stralloc* sa);

DESCRIPTION
stralloc_chomp removes trailing CRLF, CR or LF from sa and returns the number of removed characters (i.e. 0, 1 or 2).

RETURN VALUE
number of removed characters (0, 1, or 2).

SEE ALSO
stralloc_chop(3)